Name: mozc
Summary: Japanese Input Method Editor designed for multi-platform
Version: 1.1.690.102
Release: %mkrel 3
Group: System/Internationalization
License: BSD-like
URL: http://code.google.com/p/mozc/
Source0: http://mozc.googlecode.com/files/mozc-%{version}.tar.bz2
# zipcode from Japan Post
# http://www.post.japanpost.jp/zipcode/download.html
Source2: KEN_ALL.CSV
Source3: JIGYOSYO.CSV
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: ibus-devel >= 1.3.9-5
BuildRequires: dbus-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel
BuildRequires: subversion
BuildRequires: curl-devel
BuildRequires: gtest-devel
BuildRequires: protobuf-devel
BuildRequires: qt4-devel
BuildRequires: zinnia-devel

%description
Mozc is a Japanese Input Method Editor (IME) designed for
multi-platform such as Chromium OS, Windows, Mac and Linux.
This open-source project originates from Google Japanese Input.

%package -n ibus-mozc
Group: System/Internationalization
Summary: Ibus - mozc engine
Requires(post,preun): GConf2
Requires: ibus
Requires: mozc = %{version}

%description -n ibus-mozc
ibus - mozc engine.

%post -n ibus-%{name}
%post_ibus_register_engine mozc ja

%preun -n ibus-%{name}
%preun_ibus_unregister_engine mozc

%package tools
Group:     System/Internationalization
Summary:   Mozc config tools
Requires:  mozc = %{version}
Requires:  qt4-common

%description tools
Mozc config tools.

%prep
%setup -q -n mozc-%{version}

# prepare the zipcode dictionary
cp %SOURCE2 data/dictionary/
cp %SOURCE3 data/dictionary/

cd data/dictionary/
%__python ../../dictionary/gen_zip_code_seed.py \
   --zip_code=KEN_ALL.CSV --jigyosyo=JIGYOSYO.CSV > ./zip_code_seed.tsv
cd -

%build
# fix for x86_64
sed 's|/usr/lib/mozc|%_libdir/mozc|' < base/util.cc > base/util.cc.new
mv -f base/util.cc.new base/util.cc

%setup_compile_flags
%__python build_mozc.py gyp
%__python build_mozc.py build_tools -c Release
%__python build_mozc.py build unix/ibus/ibus.gyp:ibus_mozc server/server.gyp:mozc_server gui/gui.gyp:mozc_tool -c Release

%install
rm -rf %buildroot

# install ibus-mozc
mkdir -p %buildroot/%_libdir/ibus-mozc
cp -p out_linux/Release/ibus_mozc %buildroot/%_libexecdir/ibus-mozc/ibus-engine-mozc
mkdir -p %buildroot/%_datadir/ibus/component/
sed 's|/usr/libexec/ibus-engine-mozc|%_libexecdir/ibus-mozc/ibus-engine-mozc|' < out_linux/Release/obj/gen/unix/ibus/mozc.xml > %buildroot/%_datadir/ibus/component/mozc.xml

# install mozc-server
mkdir -p %buildroot/%_libdir/mozc/
cp -p out_linux/Release/mozc_server %buildroot/%_libexecdir/mozc/

# install mozc-tools
cp -p out_linux/Release/mozc_tool %buildroot/%_libexecdir/mozc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libexecdir}/mozc/mozc_server

%files -n ibus-mozc
%defattr(-,root,root)
%{_libexecdir}/ibus-mozc/ibus-engine-mozc
%{_datadir}/ibus/component/mozc.xml

%files tools
%defattr(-,root,root)
%{_libexecdir}/mozc/mozc_tool


%changelog
* Fri May 06 2011 Funda Wang <fwang@mandriva.org> 1.1.690.102-3mdv2011.0
+ Revision: 669838
- rebuild

* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 1.1.690.102-2
+ Revision: 659324
- rebuild for new ibus

* Fri Apr 15 2011 Funda Wang <fwang@mandriva.org> 1.1.690.102-1
+ Revision: 653162
- new version 1.1.690.102

* Sat Mar 26 2011 Funda Wang <fwang@mandriva.org> 1.1.626.102-1
+ Revision: 648564
- new version  1.1.626.102

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 0.13.523.102-1mdv2011.0
+ Revision: 594979
- new version 0.13.523.102

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 0.13.464.102-2mdv2011.0
+ Revision: 594920
- rebuild for py 2.7

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 0.13.464.102-1mdv2011.0
+ Revision: 579332
- new version 0.13.464.102

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 0.12.410.102-1mdv2011.0
+ Revision: 553565
- new version 0.12.410.102

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 0.12.402.102-1mdv2011.0
+ Revision: 550887
- import mozc


